Supported Browsers

Decision Logic strives for all users to have an excellent experience using our web and mobile platforms.

For Decision Logic users on the web, we recommend the latest version of Chrome for all of our users.

Decision Logic supports the following browsers:

We support the latest version of Google Chrome (which automatically updates whenever it detects that a new version of the browser is available).

We support the current and previous major releases of Firefox, Edge, and Safari on a rolling basis. 

Our engineering teams make use of new capabilities available in modern, up-to-date browsers.

That’s why we have made the decision to support only modern browsers.

They also provide improved security and performance.


        

Decision Logic is a Microsoft Preferred Partner

As a Microsoft Preferred Partner, we support Microsoft in their approach to keep technology moving forward, and we will strive to do the same.

Microsoft's Official Position on Internet Explorer

"Beginning January 12, 2016, only the most current version of Internet Explorer available for a supported operating system will receive technical support and security updates.

Internet Explorer 11 is the last version of Internet Explorer and will continue to receive security updates, compatibility fixes, and technical support on Windows 7, Windows 8.1, and Windows 10. Internet Explorer 11 offers improved security, increased performance, better backward compatibility, and support for the web standards that power today’s websites and services. Microsoft encourages customers to upgrade and stay up-to-date on the latest browser for a faster, more secure browsing experience.

-- Support for older versions of Internet Explorer ended, Jan. 2016

Troubleshooting

Do you have the latest updates for your web browser and operating system?

If you are experiencing a problem using one of the browsers we support, please submit a support ticket by visiting the Decision Logic Help Center.

If you are experiencing a problem on an unsupported browser, the issue might be resolved by moving to a supported browser.